#
template<typename T>
tf::CachelineAligned struct

struct to ensure cacheline-aligned storage for an object.

Template parameters
T | The type of the stored object.

This utility struct aligns the stored object `data` to twice the size of a cacheline. The alignment improves performance by optimizing data access in cache-sensitive scenarios.

## Public functions

auto get() -> T&
  Provides access to the stored object.

## Public variables

T data
  The stored object, aligned to twice the cacheline size.

## Function documentation

###
template<typename T>
T& tf::CachelineAligned<T>::get()

Provides access to the stored object.

Returns | A reference to the stored object.

Tab / T to search, Esc to close
…

Search for symbols, directories, files, pages or modules. You can omit any prefix from the symbol or file path; adding a `:` or `/` suffix lists all members of given symbol or directory.

Use ↓ / ↑ to navigate through the list, Enter to go. Tab autocompletes common prefix, you can copy a link to the result using ⌘ L while ⌘ M produces a Markdown link.

Sorry, nothing was found.